[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# SplitEditMask

Separates fields in the edit mask into the arguments passed to the routine.

## Declaration

Source position: maskedit.pp line 394

`procedure SplitEditMask(`
`AEditMask: string;`
`out AMaskPart: string;`
`out AMaskSave: Boolean;`
`out ASpaceChar: Char`
`);`

## Arguments

`AEditMask` |  | Delimited mask specification examined in the method.
`AMaskPart` |  | Contains the mask characters or literals in the specification.
`AMaskSave` |  | Indicates if mask data is saved with the value in a control.
`ASpaceChar` |  | Character representing the Space character in the masked value.

## Description

SplitEditMask is a procedure used to separate fields in the edit mask into arguments passed to the routine. AEditMask is the editing mask with the delimited fields to examine the procedure. If AEditMask contains a value like:

    '999.999;0;_'

The procedure returns the following values in the corresponding arguments:

AMaskPart - Mask characters
  '999.999'.
AMaskSave - Indicates if mask characters are included in the value for a control
  False. Optional. Default value is True.
ASpaceChar - Character used to represent a space in the masked value
  '_'. Optional. Default value is DefaultBlank. Not relevant when AMaskSave is False.

SplitEditMask is used in the implementation of the SetEditMask method in TCustomMaskEdit.

## See also

TCustomMaskEdit.EditMask |  | Contains the mask characters classes and literals used to format/obscure the value for the control.